TestActionRedirect (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class TestActionRedirect

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.action.TestActionRedirect

All Implemented Interfaces:
  junit.framework.Test

    public class TestActionRedirect

extends junit.framework.TestCase

Unit tests for the `ActionRedirect` class.

Version:
  $Rev: 514052 $ $Date: 2007-03-02 20:00:37 -0600 (Fri, 02 Mar 2007) $

Constructor Summary
`TestActionRedirect(String s)`

Method Summary
`static junit.framework.TestSuite` | `getSuite()`
`static void` | `main(String[] args)`
`void` | `testActionRedirectAddParameter()` Test all addParameter methods accepting different data types.
`void` | `testActionRedirectAddSameNameParameter()` Test adding parameters with the same name.
`void` | `testActionRedirectFromExistingForward()` Test creating an ActionRedirect which copies its configuration from an existing ActionForward (except for the "redirect" property).
`void` | `testActionRedirectRedirectFlag()` Check that the redirect flag is set.
`void` | `testActionRedirectWithAnchor()` Test redirect with anchor.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestActionRedirect

    public TestActionRedirect(String s)

Method Detail

### getSuite

    public static junit.framework.TestSuite getSuite()

### main

    public static void main(String[] args)

### testActionRedirectRedirectFlag

    public void testActionRedirectRedirectFlag()

  Check that the redirect flag is set.

### testActionRedirectAddParameter

    public void testActionRedirectAddParameter()

  Test all addParameter methods accepting different data types.

### testActionRedirectWithAnchor

    public void testActionRedirectWithAnchor()

  Test redirect with anchor.

### testActionRedirectAddSameNameParameter

    public void testActionRedirectAddSameNameParameter()

  Test adding parameters with the same name.

### testActionRedirectFromExistingForward

    public void testActionRedirectFromExistingForward()

  Test creating an ActionRedirect which copies its configuration from an existing ActionForward (except for the "redirect" property).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.